<?php if ( !defined( 'ABSPATH' ) ) exit;//PHPの宣言と直接アクセスの拒否
/*** メッセージ付きボックスのスタイルは以下のファイルに記述しているので注意 ***/
/* /init-style/functions/message-text.php */

function haup_register_block_design_styles_para() {

/* 警告ボックス */
	register_block_style( 'core/paragraph',array(
		'name' => 'ha-para-warning',
		'label' => __( 'Warning','hima-art-utility' ),
	));

/* 警告タブ付きボックス */
	register_block_style('core/paragraph', array(
	'name' =>  'ha-para-warning-tab',
	'label' => __( 'Warning(Tab)','hima-art-utility'),
  ));

/* 注意ボックス */
	register_block_style('core/paragraph', array(
	'name' =>  'ha-para-notice',
	'label' => __( 'Notice','hima-art-utility'),
  ));

/* 注意タブ付きボックス */
	register_block_style('core/paragraph', array(
	'name' =>  'ha-para-notice-tab',
	'label' => __( 'Notice(Tab)','hima-art-utility'),
  ));

/* チェックボックス */
	register_block_style('core/paragraph', array(
	'name' =>  'ha-para-info',
	'label' => __( 'Check','hima-art-utility'),
  ));

/* チェックタブ付きボックス */
	register_block_style('core/paragraph', array(
	'name' =>  'ha-para-info-tab',
	'label' => __( 'Check(Tab)','hima-art-utility'),
  ));

/* アイディアボックス */
	register_block_style('core/paragraph', array(
	'name' =>  'ha-para-idea',
	'label' => __( 'Idea','hima-art-utility'),
  ));

/* アイディアタブ付きボックス */
	register_block_style('core/paragraph', array(
	'name' =>  'ha-para-idea-tab',
	'label' => __( 'Idea(Tab)','hima-art-utility'),
  ));

/*  */
/*
	register_block_style('core/list', array(
	'name' =>  '',
	'label' => __( '','hima-art-utility'),
  ));
*/
}
add_action('init','haup_register_block_design_styles_para');